summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog6
-rwxr-xr-xonerror12
-rw-r--r--onerror.132
3 files changed, 6 insertions, 44 deletions
diff --git a/debian/changelog b/debian/changelog
index 118b999..543b043 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+extrautils (1.10) squeeze; urgency=low
+
+ * Remove onerror, since moreutils now has chronic.
+
+ -- Lars Wirzenius <liw@liw.fi> Sat, 06 Nov 2010 13:14:18 +0000
+
extrautils (1.9) squeeze; urgency=low
* Add progress-du.
diff --git a/onerror b/onerror
deleted file mode 100755
index 3e5a927..0000000
--- a/onerror
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-
-temp=$(mktemp)
-"$@" > "$temp" 2>&1
-ret=$?
-if [ $ret != 0 ]
-then
- cat "$temp" 1>&2
-fi
-rm -f "$temp"
-exit $ret
-
diff --git a/onerror.1 b/onerror.1
deleted file mode 100644
index 0c70e6d..0000000
--- a/onerror.1
+++ /dev/null
@@ -1,32 +0,0 @@
-.\" onerror.1 - manual page for the errno command
-.\" Copyright (C) 2009 Lars Wirzenius
-.\"
-.\" This program is free software: you can redistribute it and/or modify
-.\" it under the terms of the GNU General Public License as published by
-.\" the Free Software Foundation, either version 3 of the License, or
-.\" (at your option) any later version.
-.\"
-.\" This program is distributed in the hope that it will be useful,
-.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
-.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-.\" GNU General Public License for more details.
-.\"
-.\" You should have received a copy of the GNU General Public License
-.\" along with this program. If not, see <http://www.gnu.org/licenses/>.
-.\"
-.TH ONERROR 1
-.SH NAME
-onerror \- show command output if it failed
-.SH SYNOPSIS
-.B onerror
-.I command
-.IR arg ...
-.SH DESCRIPTION
-.B onerror
-executes the command given on its command line.
-It captures the standard output and error of the command,
-and shows it only if the command failed.
-The command failed if it returned a non-zero exit code.
-.PP
-This is handy for running commands via cron, when the commands
-are chatty and have no way to tell them to be quiet unless they fail.